Welcome to the Linux Foundation Forum!

Unable to install docker in google cloud as part of devops SRE fundamentals course.

Options
paccha5065
paccha5065 Posts: 11
edited December 2022 in LFS261 Class Forum

Hi, i am trying the steps mentioned in the course, where in we need to install and verify docker on linux VM created in google cloud platform.

I am having issue while running the below command:
sudo apt-get install docker-ce docker-ce-cli containerd.iodocker-compose-plugin

its thorwing error:
**E: Unable to locate package containerd.iodocker-compose-plugin
E: Couldn't find any package by glob 'containerd.iodocker-compose-plugin'
E: Couldn't find any package by regex 'containerd.iodocker-compose-plugin'
**
any suggestion for me to resolve this issue

Comments

  • fcioanca
    fcioanca Posts: 1,904
    Options

    Hi @paccha5065

    I moved your post under the LFS261 forum, for proper placement and follow up. Your command is missing a space between containerd.io and docker-compose-plugin, which throws the error you are seeing, because 'containerd.iodocker-compose-plugin' package does not exist. The correct command should be:

    sudo apt-get install docker-ce docker-ce-cli containerd.io docker-compose-plugin

    Regards,
    Flavia

  • paccha5065
    Options

    Thank you, it resolved the issue.

Categories

Upcoming Training